Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.entity
Class EntitySelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.entity.EntitySelectorConfig

    public class EntitySelectorConfig

extends SelectorConfig

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected Class<?>` | `entityClass`
`protected List<Class<? extends SelectionFilter>>` | `filterClassList`
`protected String` | `id`
`protected String` | `mimicSelectorRef`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `probabilityWeightFactoryClass`
`protected Long` | `selectedCountLimit`
`protected SelectionOrder` | `selectionOrder`
`protected Class<? extends SelectionSorter>` | `sorterClass`
`protected Class<? extends Comparator>` | `sorterComparatorClass`
`protected EntitySorterManner` | `sorterManner`
`protected SelectionSorterOrder` | `sorterOrder`
`protected Class<? extends SelectionSorterWeightFactory>` | `sorterWeightFactoryClass`

Constructor Summary
`EntitySelectorConfig()`

Method Summary
`EntitySelector` | `buildEntitySelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`protected EntitySelector` | `buildMimicReplaying(HeuristicConfigPolicy configPolicy)`
`protected boolean` | `determineBaseRandomSelection(EntityDescriptor entityDescriptor, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`
`SelectionCacheType` | `getCacheType()`
`Class<?>` | `getEntityClass()`
`List<Class<? extends SelectionFilter>>` | `getFilterClassList()`
`String` | `getId()`
`String` | `getMimicSelectorRef()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getProbabilityWeightFactoryClass()`
`Long` | `getSelectedCountLimit()`
`SelectionOrder` | `getSelectionOrder()`
`Class<? extends SelectionSorter>` | `getSorterClass()`
`Class<? extends Comparator>` | `getSorterComparatorClass()`
`EntitySorterManner` | `getSorterManner()`
`SelectionSorterOrder` | `getSorterOrder()`
`Class<? extends SelectionSorterWeightFactory>` | `getSorterWeightFactoryClass()`
`void` | `inherit(EntitySelectorConfig inheritedConfig)`
`protected boolean` | `isBaseInherentlyCached()`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setEntityClass(Class<?> entityClass)`
`void` | `setFilterClassList(List<Class<? extends SelectionFilter>> filterClassList)`
`void` | `setId(String id)`
`void` | `setMimicSelectorRef(String mimicSelectorRef)`
`void` | `setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)`
`void` | `setSelectedCountLimit(Long selectedCountLimit)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`
`void` | `setSorterClass(Class<? extends SelectionSorter> sorterClass)`
`void` | `setSorterComparatorClass(Class<? extends Comparator> sorterComparatorClass)`
`void` | `setSorterManner(EntitySorterManner sorterManner)`
`void` | `setSorterOrder(SelectionSorterOrder sorterOrder)`
`void` | `setSorterWeightFactoryClass(Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    @XStreamAsAttribute
    protected String id

### mimicSelectorRef

    @XStreamAsAttribute
    protected String mimicSelectorRef

### entityClass

    protected Class<?> entityClass

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### filterClassList

    protected List<Class<? extends SelectionFilter>> filterClassList

### sorterManner

    protected EntitySorterManner sorterManner

### sorterComparatorClass

    protected Class<? extends Comparator> sorterComparatorClass

### sorterWeightFactoryClass

    protected Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass

### sorterOrder

    protected SelectionSorterOrder sorterOrder

### sorterClass

    protected Class<? extends SelectionSorter> sorterClass

### probabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass

### selectedCountLimit

    protected Long selectedCountLimit

Constructor Detail

### EntitySelectorConfig

    public EntitySelectorConfig()

Method Detail

### getId

    public String getId()

### setId

    public void setId(String id)

### getMimicSelectorRef

    public String getMimicSelectorRef()

### setMimicSelectorRef

    public void setMimicSelectorRef(String mimicSelectorRef)

### getEntityClass

    public Class<?> getEntityClass()

### setEntityClass

    public void setEntityClass(Class<?> entityClass)

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getFilterClassList

    public List<Class<? extends SelectionFilter>> getFilterClassList()

### setFilterClassList

    public void setFilterClassList(List<Class<? extends SelectionFilter>> filterClassList)

### getSorterManner

    public EntitySorterManner getSorterManner()

### setSorterManner

    public void setSorterManner(EntitySorterManner sorterManner)

### getSorterComparatorClass

    public Class<? extends Comparator> getSorterComparatorClass()

### setSorterComparatorClass

    public void setSorterComparatorClass(Class<? extends Comparator> sorterComparatorClass)

### getSorterWeightFactoryClass

    public Class<? extends SelectionSorterWeightFactory> getSorterWeightFactoryClass()

### setSorterWeightFactoryClass

    public void setSorterWeightFactoryClass(Class<? extends SelectionSorterWeightFactory> sorterWeightFactoryClass)

### getSorterOrder

    public SelectionSorterOrder getSorterOrder()

### setSorterOrder

    public void setSorterOrder(SelectionSorterOrder sorterOrder)

### getSorterClass

    public Class<? extends SelectionSorter> getSorterClass()

### setSorterClass

    public void setSorterClass(Class<? extends SelectionSorter> sorterClass)

### getProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getProbabilityWeightFactoryClass()

### setProbabilityWeightFactoryClass

    public void setProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> probabilityWeightFactoryClass)

### getSelectedCountLimit

    public Long getSelectedCountLimit()

### setSelectedCountLimit

    public void setSelectedCountLimit(Long selectedCountLimit)

### buildEntitySelector

    public EntitySelector buildEntitySelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder inheritedSelectionOrder)

  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### buildMimicReplaying

    protected EntitySelector buildMimicReplaying(HeuristicConfigPolicy configPolicy)

### determineBaseRandomSelection

    protected boolean determineBaseRandomSelection(EntityDescriptor entityDescriptor,
                                                   SelectionCacheType resolvedCacheType,
                                                   SelectionOrder resolvedSelectionOrder)

### isBaseInherentlyCached

    protected boolean isBaseInherentlyCached()

### inherit

    public void inherit(EntitySelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.